Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface BulkAdjudicator

    public interface BulkAdjudicator

The `BulkAdjudicator` interface defines the security service provider interface (SSPI) for an object that is responsible for making the final decision as to whether the processing of the requested method should be permitted to proceed or should be denied as part of a bulk access decision.

Method Summary
`Set` | `adjudicate(List results, List resources, ContextHandler handler)` Determines the final adjudication from a set of decisions rendered by Access Decisions, provided they are acting as policy decision points (PDPs).
`void` | `initialize(String[] accessDecisionClassNames)` Initializes the names of the Access Decisions so that they do not require computation on every `isAccessAllowed` call that the Authorization Manager (part of the WebLogic Security Framework) makes.

Method Detail

### initialize

    void initialize(String[] accessDecisionClassNames)

  Initializes the names of the Access Decisions so that they do not require computation on every `isAccessAllowed` call that the Authorization Manager (part of the WebLogic Security Framework) makes.

  Parameters:
    `accessDecisionClassNames` - an array of String objects containing the list of Access Decisions. The order of this list will match the order of the array of `int` results sent into the `adjudicate` call.

### adjudicate

    Set adjudicate(List results,
                   List resources,
                   ContextHandler handler)

  Determines the final adjudication from a set of decisions rendered by Access Decisions, provided they are acting as policy decision points (PDPs).

  Parameters:
    `results` - a `List` of `Map` instances from `Resource` to `Result` returned from the Authorization Manager, containing the results of each bulk access decision. Note that the order of results is the same as the order of Access Decision class names that were passed in on the `initialize` method of this interface.
    `resources` - a `List` of `Resource` over which the bulk access decisions were made.
    `context` - environmental context
  Returns:
    a `Set` of `Resource`. If a `Resource` is present in the set, then access has been granted; otherwise, access has been denied.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD